Name:           libajantv2
Version:        2.17.1.3
Release:        %autorelease
Summary:        Open-source library for AJA Video Systems desktop IO cards.
License:        MIT
URL:            https://github.com/aja-video/libajantv2
Provides:       OpenRV

Source:        %{url}/archive/refs/tags/ntv%(echo %{version} | tr '.' '_').tar.gz

BuildRequires:  gcc-c++
BuildRequires:	cmake >= 3.15
BuildRequires:	systemd-devel

%description
SDK for discovering, interrogating and controlling NTV2 professional video I/O devices from AJA Video Systems, Inc. All code herein is licensed under the MIT license.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
This package contains development files for %{name}.

%prep
%autosetup -p1 -n %{name}-ntv%(echo %{version} | tr '.' '_')


%build
%cmake \
	-DAJANTV2_DISABLE_PLUGIN_LOAD=ON \
	-DAJANTV2_DISABLE_DEMOS=ON \
	-DAJANTV2_DISABLE_TOOLS=ON \
	-DAJANTV2_BUILD_SHARED=ON
%cmake_build


%install
%cmake_install

cp -rf %{buildroot}/usr/%{name}/* %{buildroot}%{_includedir}/%{name}
rm -r %{buildroot}/usr/%{name}


%files
%doc README.md
%license LICENSE
%{_libdir}/%{name}.so.*

%files devel
%{_includedir}/%{name}
%{_libdir}/cmake/ajantv2
%{_libdir}/%{name}.so


%changelog
%autochangelog
